Derby
  1. Derby
  2. DERBY-5095

Update XML operator documentation to reflect new requirements

    Details

    • Type: Improvement Improvement
    • Status: Closed
    • Priority: Major Major
    • Resolution: Fixed
    • Affects Version/s: 10.8.1.2
    • Fix Version/s: 10.8.1.2
    • Component/s: Documentation
    • Labels:
      None

      Description

      The developer's guide mentions the classpath requirements for using the XML operators: http://db.apache.org/derby/docs/dev/devguide/cdevstandardsxml.html

      After DERBY-2739, this section is a bit out of date and the following should be updated:

      1) "For the XML operators to work properly, Derby requires that a JAXP parser, such as Apache Xerces, and Apache Xalan are included in the Java classpath."

      Since we're no longer using Xalan directly, we shouldn't state that Apache Xalan must be in the classpath. We could for example replace "Apache Xalan" in the above sentence with "and a DOM Level 3 XPath implementation, such as Apache Xalan,".

      2) "After JVM version 1.4, Sun renamed the JAXP packages. Derby cannot find these renamed packages."

      This is no longer true. Derby can now find the required packages on newer Sun JVMs (at least on Java 6 and newer).

      1. cdevstandardsxml.html
        7 kB
        Knut Anders Hatlen
      2. derby-5095-1a.diff
        3 kB
        Knut Anders Hatlen

        Activity

          People

          • Assignee:
            Knut Anders Hatlen
            Reporter:
            Knut Anders Hatlen
          • Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved:

              Development